# Uses of Interface
javax.xml.transform.ErrorListener

Packages that use ErrorListener
Package
Description
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.

## Uses of ErrorListener in javax.xml.transform

Methods in javax.xml.transform that return ErrorListener
Modifier and Type
Method
Description
`abstract ErrorListener`
Transformer.`getErrorListener()`
Get the error event handler in effect for the transformation.
`abstract ErrorListener`
TransformerFactory.`getErrorListener()`
Get the error event handler for the TransformerFactory.
Methods in javax.xml.transform with parameters of type ErrorListener
Modifier and Type
Method
Description
`abstract void`
Transformer.`setErrorListener​(ErrorListener listener)`
Set the error event listener in effect for the transformation.
`abstract void`
TransformerFactory.`setErrorListener​(ErrorListener listener)`
Set the error event listener for the TransformerFactory, which is used for the processing of transformation instructions, and not for the transformation itself.